Bug 1030054 - [ORIGIN] get permission error while try to chmod aquota.user file.
[ORIGIN] get permission error while try to chmod aquota.user file.
Status: CLOSED CURRENTRELEASE
Product: OpenShift Origin
Classification: Red Hat
Component: Pod (Show other bugs)
2.x
Unspecified Unspecified
unspecified Severity unspecified
: ---
: ---
Assigned To: Krishna Raman
libra bugs
:
Depends On:
Blocks:
  Show dependency treegraph
 
Reported: 2013-11-13 15:07 EST by Peter Ruan
Modified: 2015-05-14 22:21 EDT (History)
1 user (show)

See Also:
Fixed In Version:
Doc Type: Bug Fix
Doc Text:
Story Points: ---
Clone Of:
Environment:
Last Closed: 2014-01-29 19:46:59 EST
Type: Bug
Regression: ---
Mount Type: ---
Documentation: ---
CRM:
Verified Versions:
Category: ---
oVirt Team: ---
RHEL 7.3 requirements from Atomic Host:
Cloudforms Team: ---


Attachments (Terms of Use)

  None (edit)
Description Peter Ruan 2013-11-13 15:07:48 EST
Description of problem:
  when trying vagrant sync -c with my existing VM, I get a permission errors

Version-Release number of selected component (if applicable):
current

How reproducible:
always.

Steps to Reproduce:
1. 
2.
3.

Actual results:


Expected results:


Additional info:
Error: /usr/sbin/oo-init-quota returned 1 instead of one of [0]
Error: /Stage[main]/Openshift_origin::Node/Exec[Initialize quota DB]/returns: change from notrun to 0 failed: /usr/sbin/oo-init-quota returned 1 instead of one of [0]
Notice: /Stage[main]/Openshift_origin::Plugins::Auth::Mongo/Package[rubygem-openshift-origin-auth-mongo]/ensure: created
Notice: /Stage[main]/Openshift_origin::Broker/Package[rubygem-openshift-origin-msg-broker-mcollective]/ensure: created
Notice: /File[Auth plugin config]/ensure: created
Notice: /Stage[main]/Openshift_origin::Broker/Exec[restorecon -vr /var/log/openshift]/returns: executed successfully
Info: FileBucket got a duplicate file {md5}a01a784f1d50cc682b0960561176eb2c
Info: /File[openshift broker.conf]: Filebucketed /etc/openshift/broker.conf to puppet with sum a01a784f1d50cc682b0960561176eb2c
Notice: /File[openshift broker.conf]/content: content changed '{md5}a01a784f1d50cc682b0960561176eb2c' to '{md5}78d40a943690875c46c466a9d11255d0'
Notice: /File[openshift broker.conf]/mode: mode changed '0640' to '0644'
Notice: /File[mcollective broker plugin config]/ensure: created
Notice: /Stage[main]/Openshift_origin::Broker/Package[openshift-origin-broker-util]/ensure: created
Notice: /Stage[main]/Openshift_origin::Console/Package[openshift-origin-console]/ensure: created
Info: /Stage[main]/Openshift_origin::Console/Package[openshift-origin-console]: Scheduling refresh of Exec[Console gem dependencies]
Info: FileBucket got a duplicate file {md5}e3fc4b8b2bb737c534cade47712afab2
Info: /File[openshift console.conf]: Filebucketed /etc/openshift/console.conf to puppet with sum e3fc4b8b2bb737c534cade47712afab2
Notice: /File[openshift console.conf]/content: content changed '{md5}e3fc4b8b2bb737c534cade47712afab2' to '{md5}aaae6cc4952210fd6b8284893e960ee2'
Notice: /File[openshift console.conf]/mode: mode changed '0640' to '0644'
Info: /File[openshift console.conf]: Scheduling refresh of Exec[Console gem dependencies]
Info: /File[openshift console.conf]: Scheduling refresh of Exec[Console gem dependencies]
Notice: /Stage[main]/Openshift_origin::Console/Exec[Console gem dependencies]: Triggered 'refresh' from 3 events
Notice: /File[/var/www/openshift/console/Gemfile.lock]/seluser: seluser changed 'unconfined_u' to 'system_u'
Info: FileBucket got a duplicate file {md5}e3fc4b8b2bb737c534cade47712afab2
Info: /File[openshift console-dev.conf]: Filebucketed /etc/openshift/console-dev.conf to puppet with sum e3fc4b8b2bb737c534cade47712afab2
Notice: /File[openshift console-dev.conf]/content: content changed '{md5}e3fc4b8b2bb737c534cade47712afab2' to '{md5}aaae6cc4952210fd6b8284893e960ee2'
Notice: /File[openshift console-dev.conf]/mode: mode changed '0640' to '0644'
Notice: /Stage[main]/Openshift_origin::Console/Service[openshift-console]/enable: enable changed 'false' to 'true'
Notice: /Stage[main]/Openshift_origin::Cartridges/Openshift_origin::Cartridges::Openshiftcartridge[mariadb]/Package[openshift-origin-cartridge-mariadb]/ensure: created
Info: /Stage[main]/Openshift_origin::Cartridges/Openshift_origin::Cartridges::Openshiftcartridge[mariadb]/Package[openshift-origin-cartridge-mariadb]: Scheduling refresh of Exec[oo-admin-cartridge]
Notice: /Stage[main]/Openshift_origin::Cartridges/Exec[oo-admin-cartridge]: Triggered 'refresh' from 1 events
Info: /Stage[main]/Openshift_origin::Cartridges/Exec[oo-admin-cartridge]: Scheduling refresh of Exec[openshift-facts]
Error: Command exceeded timeout
Error: /Stage[main]/Openshift_origin::Mongo/Exec[/usr/sbin/oo-mongo-setup]/returns: change from notrun to 0 failed: Command exceeded timeout
Notice: /Stage[main]/Openshift_origin::Plugins::Container::Selinux/Package[rubygem-openshift-origin-container-selinux]/ensure: created
Info: /Stage[main]/Openshift_origin::Plugins::Container::Selinux/Package[rubygem-openshift-origin-container-selinux]: Scheduling refresh of Exec[openshift-facts]
Notice: /Stage[main]/Openshift_origin::Mcollective_server/Exec[openshift-facts]: Triggered 'refresh' from 2 events
Info: FileBucket got a duplicate file {md5}5093fa8193db2cdfedfddc507ada55ba
Info: /File[dynamic zone]: Filebucketed /var/named/dynamic/example.com.db to puppet with sum 5093fa8193db2cdfedfddc507ada55ba
Notice: /File[dynamic zone]/content: content changed '{md5}5093fa8193db2cdfedfddc507ada55ba' to '{md5}dfccfa5662649f85686064da0d678ab1'
Notice: /Stage[main]/Openshift_origin::Node/Exec[node selinux booleans]/returns: executed successfully
Notice: /Stage[main]/Openshift_origin::Node/Firewall[node-https]/Exec[Open port 8443:tcp]/returns: executed successfully
Notice: /Stage[main]/Openshift_origin::Named/Firewall[dns]/Exec[final iptables setup]/returns: executed successfully
Notice: /Stage[main]/Openshift_origin::Named/Exec[named restorecon]/returns: executed successfully
Notice: /Stage[main]/Openshift_origin::Role::Named/Register_dns[register named dns]/Exec[Register broker.example.com]/returns: executed successfully
Notice: /Stage[main]/Openshift_origin::Plugins::Frontend::Nodejs_websocket/Service[openshift-node-web-proxy]/enable: enable changed 'false' to 'true'
Info: FileBucket got a duplicate file {md5}104412fe157dff15f2bc90dae6785f9b
Info: /File[node servername config]: Filebucketed /etc/httpd/conf.d/000001_openshift_origin_node_servername.conf to puppet with sum 104412fe157dff15f2bc90dae6785f9b
Notice: /File[node servername config]/content: content changed '{md5}104412fe157dff15f2bc90dae6785f9b' to '{md5}8b99f8e1abe11d2d9b398d863a1b94f4'
Notice: /Stage[main]/Openshift_origin::Broker/Exec[broker selinux booleans]/returns: executed successfully
Notice: /Stage[main]/Openshift_origin::Cartridges/Openshift_origin::Cartridges::Openshiftcartridge[mock]/Package[openshift-origin-cartridge-mock]/ensure: created
Info: FileBucket got a duplicate file {md5}a01a784f1d50cc682b0960561176eb2c
Info: /File[openshift broker-dev.conf]: Filebucketed /etc/openshift/broker-dev.conf to puppet with sum a01a784f1d50cc682b0960561176eb2c
Notice: /File[openshift broker-dev.conf]/content: content changed '{md5}a01a784f1d50cc682b0960561176eb2c' to '{md5}78d40a943690875c46c466a9d11255d0'
Notice: /File[openshift broker-dev.conf]/mode: mode changed '0640' to '0644'
Notice: /Stage[main]/Openshift_origin::Cartridges/Openshift_origin::Cartridges::Openshiftcartridge[jenkins-client]/Package[openshift-origin-cartridge-jenkins-client]/ensure: created
Info: FileBucket adding {md5}dd70af2f2e5f1d14ff56e313c8e84c65
Info: /File[activemq.xml config]: Filebucketed /etc/activemq/activemq.xml to puppet with sum dd70af2f2e5f1d14ff56e313c8e84c65
Notice: /File[activemq.xml config]/content: content changed '{md5}dd70af2f2e5f1d14ff56e313c8e84c65' to '{md5}b7a4813d0bc5300d905de613341a0cbf'
Notice: /Stage[main]/Openshift_origin::Plugins::Container::Selinux/Augeas[openshift node pam sshd]/returns: executed successfully
Notice: /Stage[main]/Openshift_origin::Cartridges/Openshift_origin::Cartridges::Openshiftcartridge[perl]/Package[openshift-origin-cartridge-perl]/ensure: created
Notice: /Stage[main]/Openshift_origin::Cartridges/Openshift_origin::Cartridges::Openshiftcartridge[php]/Package[openshift-origin-cartridge-php]/ensure: created
Warning: Augeas[network-scripts](provider=augeas): Loading failed for one or more files, see debug for /augeas//error output
Info: FileBucket got a duplicate file {md5}047200b7f84faed1ef5d582bb955fa9c
Info: /File[/etc/resolv.conf]: Filebucketed /etc/resolv.conf to puppet with sum 047200b7f84faed1ef5d582bb955fa9c
Notice: /File[/etc/resolv.conf]/content: content changed '{md5}047200b7f84faed1ef5d582bb955fa9c' to '{md5}42164be5cd241bfa34e09069fe1a8344'
Notice: Finished catalog run in 794.17 seconds
Redirecting to /bin/systemctl stop  mongod.service
Stopping ActiveMQ Broker...
Waiting for ActiveMQ Broker to exit...
Stopped ActiveMQ Broker.
Redirecting to /bin/systemctl stop  cgconfig.service
Redirecting to /bin/systemctl stop  cgred.service
Redirecting to /bin/systemctl stop  named.service
Redirecting to /bin/systemctl stop  openshift-broker.service
Redirecting to /bin/systemctl stop  openshift-console.service
Redirecting to /bin/systemctl stop  openshift-node-web-proxy.service
Redirecting to /bin/systemctl stop  sshd.service
Redirecting to /bin/systemctl stop  httpd.service
Redirecting to /bin/systemctl stop  mcollective.service
Redirecting to /bin/systemctl start  mongod.service
Job for mongod.service failed. See 'systemctl status mongod.service' and 'journalctl -xn' for details.
Starting ActiveMQ Broker...
Redirecting to /bin/systemctl start  cgconfig.service
Redirecting to /bin/systemctl start  cgred.service
Redirecting to /bin/systemctl start  named.service
Redirecting to /bin/systemctl start  openshift-broker.service
Redirecting to /bin/systemctl start  openshift-console.service
Redirecting to /bin/systemctl start  openshift-node-web-proxy.service
Redirecting to /bin/systemctl start  sshd.service
Redirecting to /bin/systemctl start  httpd.service
Redirecting to /bin/systemctl start  mcollective.service
Redirecting to /bin/systemctl start  openshift-tc.service
Restarting network (via systemctl):  Job for network.service failed. See 'systemctl status network.service' and 'journalctl -xn' for details.
[FAILED]
Reloading network configuration (via systemctl):  [  OK  ]
Redirecting to /bin/systemctl restart  messagebus.service
Redirecting to /bin/systemctl restart  oddjobd.service
Comment 1 Krishna Raman 2013-12-09 13:03:00 EST
Fixed by https://github.com/openshift/puppet-openshift_origin/pull/121
Comment 2 Peter Ruan 2014-01-06 18:23:00 EST
verified by following the directions:

http://openshift.github.io/documentation/oo_deployment_guide_comprehensive.html

Note You need to log in before you can comment on or make changes to this bug.